//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using GlobalBank.EFT;
using GlobalBank.EFT.BusinessEntities;
using System.Collections.ObjectModel;

namespace GlobalBank.EFT.Tests.Mocks
{
    public class MockEFTController : EFTController
    {
        public DateTime TransferDate;
        public List<Transfer> MockTransfers = new List<Transfer>();
        public bool AddTransferCalled = false;
        public bool UpdateTransferCalled = false;
        public Transfer UpdatedTransfer = null;
        public bool DeleteTransferCalled = false;
        public Transfer DeletedTransfer = null;

        public override DateTime GetLastTransferDate()
        {
            return TransferDate;
        }

        public override void AddTransfer(Transfer transfer)
        {
            AddTransferCalled = true;
            MockTransfers.Add(transfer);
        }

        public override void UpdateTransfer(Transfer transfer)
        {
            UpdateTransferCalled = true;
            UpdatedTransfer = transfer;
        }

        public override void DeleteTransfer(Transfer transfer)
        {
            DeleteTransferCalled = true;
            DeletedTransfer = transfer;
        }

        public override ReadOnlyCollection<Transfer> GetTransfers()
        {
            return MockTransfers.AsReadOnly();
        }
    }
}
