﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.Practices.ObjectBuilder;
using GlobalBank.EFT.Views;
using System.Collections.Generic;
using GlobalBank.EFT.BusinessEntities;

public partial class EFT_NewTransferView : System.Web.UI.Page, INewTransferView
{
    private NewTransferViewPresenter _presenter;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this._presenter.OnViewInitialized();
        }
        this._presenter.OnViewLoaded();
    }

    [CreateNew]
    public NewTransferViewPresenter Presenter
    {
        set
        {
            this._presenter = value;
            this._presenter.View = this;
        }
    }

    // TODO: Forward events to the presenter and show state to the user.
    // For examples of this, see the View-Presenter (with Application Controller) QuickStart:
    //		ms-help://MS.VSIPCC.v80/ms.practices.wcsf.2007dec/wcsf/html/02-480-ViewPresenter.htm

    #region ITransfersView Members

    public IList<Transfer> Transfers
    {
        set { TransfersDataSource.DataSource = value; }
    }

    #endregion

    protected void TransfersDataSource_Inserted(object sender, Microsoft.Practices.Web.UI.WebControls.ObjectContainerDataSourceStatusEventArgs e)
    {
        _presenter.OnTransferAdded((Transfer)e.Instance);
    }

    protected void SubmitTransfersButton_Click(object sender, EventArgs e)
    {
        _presenter.OnSubmitTransfers();
    }

    protected void TransfersDataSource_Deleted(object sender, Microsoft.Practices.Web.UI.WebControls.ObjectContainerDataSourceStatusEventArgs e)
    {
        _presenter.OnTransferDeleted((Transfer)e.Instance);
    }

    protected void TransfersDataSource_Updated(object sender, Microsoft.Practices.Web.UI.WebControls.ObjectContainerDataSourceStatusEventArgs e)
    {
        _presenter.OnTransferUpdated((Transfer)e.Instance);
    }
}


